<<< Previous |  |

# FcConfigFileInfoIterGet

## Name

FcConfigFileInfoIterGet -- Obtain the configuration file information

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcBool `FcConfigFileInfoIterGet``(FcConfig *`config`, FcConfigFileInfoIter *`iter`, FcChar8 **`name`, FcChar8 **`description`, FcBool *`enabled`);`

## Description

Obtain the filename, the description and the flag whether it is enabled or not for 'iter' where points to current configuration file information. If the iterator is invalid, FcFalse is returned.

This function isn't MT-safe. `FcConfigReference` must be called before using `FcConfigFileInfoIterInit` and then `FcConfigDestroy` when the relevant values are no longer referenced.

## Since

version 2.12.91

<<< Previous | Home |
FcConfigFileInfoIterNext | Up |